/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.bedstead.testapp;

import android.os.Bundle;

import com.android.queryable.info.ActivityInfo;

import java.util.HashSet;
import java.util.Set;

/** Details about a queryable test app. */
class TestAppDetails {
    TestappProtos.AndroidApp mApp;
    int mResourceIdentifier;
    final Bundle mMetadata = new Bundle();
    final Set<String> mPermissions = new HashSet<>();
    final Set<ActivityInfo> mActivities = new HashSet<>();
}
